Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1File.CAI1FileWithData

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1File.CAI1FileWithData

Record Components:
  `fieldId` - The file ID.
  `fieldDescription` - The file description.
  `fieldMediaType` - The media type.
  `fieldSize` - The file size.
  `fieldHashAlgorithm` - The hash algorithm name.
  `fieldHashValue` - The hash value.
  `fieldData` - The file data.

All Implemented Interfaces:
  `CAI1File`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

Enclosing interface:
  `CAI1File`

public static record CAI1File.CAI1FileWithData(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldDescription, com.io7m.cedarbridge.runtime.api.CBString fieldMediaType, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldSize, com.io7m.cedarbridge.runtime.api.CBString fieldHashAlgorithm, com.io7m.cedarbridge.runtime.api.CBString fieldHashValue, com.io7m.cedarbridge.runtime.api.CBByteArray fieldData) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, CAI1File

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.protocol.inventory.cb.CAI1File

  `CAI1File.CAI1FileWithData, CAI1File.CAI1FileWithoutData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1FileWithData(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldDescription, com.io7m.cedarbridge.runtime.api.CBString fieldMediaType, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldSize, com.io7m.cedarbridge.runtime.api.CBString fieldHashAlgorithm, com.io7m.cedarbridge.runtime.api.CBString fieldHashValue, com.io7m.cedarbridge.runtime.api.CBByteArray fieldData)`
  Creates an instance of a `CAI1FileWithData` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1File.CAI1FileWithData`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1FileWithData.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBByteArray`
  `fieldData()`
  Returns the value of the `fieldData` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldDescription()`
  Returns the value of the `fieldDescription` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldHashAlgorithm()`
  Returns the value of the `fieldHashAlgorithm` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldHashValue()`
  Returns the value of the `fieldHashValue` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldId()`
  Returns the value of the `fieldId` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldMediaType()`
  Returns the value of the `fieldMediaType` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64`
  `fieldSize()`
  Returns the value of the `fieldSize` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1File.CAI1FileWithData $x)`
  Serialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1FileWithData.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1FileWithData

    public CAI1FileWithData(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldDescription, com.io7m.cedarbridge.runtime.api.CBString fieldMediaType, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldSize, com.io7m.cedarbridge.runtime.api.CBString fieldHashAlgorithm, com.io7m.cedarbridge.runtime.api.CBString fieldHashValue, com.io7m.cedarbridge.runtime.api.CBByteArray fieldData)
    Creates an instance of a `CAI1FileWithData` record class.
    Parameters:
      `fieldId` - the value for the `fieldId` record component
      `fieldDescription` - the value for the `fieldDescription` record component
      `fieldMediaType` - the value for the `fieldMediaType` record component
      `fieldSize` - the value for the `fieldSize` record component
      `fieldHashAlgorithm` - the value for the `fieldHashAlgorithm` record component
      `fieldHashValue` - the value for the `fieldHashValue` record component
      `fieldData` - the value for the `fieldData` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1File.CAI1FileWithData $x) throws IOException
    Serialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1FileWithData.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1File.CAI1FileWithData deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.CAI1FileWithData.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.cardant.protocol.inventory.cb.CAI1FileWithData.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldId()
    Returns the value of the `fieldId` record component.
    Returns:
      the value of the `fieldId` record component

  - ### fieldDescription

    public com.io7m.cedarbridge.runtime.api.CBString fieldDescription()
    Returns the value of the `fieldDescription` record component.
    Returns:
      the value of the `fieldDescription` record component

  - ### fieldMediaType

    public com.io7m.cedarbridge.runtime.api.CBString fieldMediaType()
    Returns the value of the `fieldMediaType` record component.
    Returns:
      the value of the `fieldMediaType` record component

  - ### fieldSize

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldSize()
    Returns the value of the `fieldSize` record component.
    Returns:
      the value of the `fieldSize` record component

  - ### fieldHashAlgorithm

    public com.io7m.cedarbridge.runtime.api.CBString fieldHashAlgorithm()
    Returns the value of the `fieldHashAlgorithm` record component.
    Returns:
      the value of the `fieldHashAlgorithm` record component

  - ### fieldHashValue

    public com.io7m.cedarbridge.runtime.api.CBString fieldHashValue()
    Returns the value of the `fieldHashValue` record component.
    Returns:
      the value of the `fieldHashValue` record component

  - ### fieldData

    public com.io7m.cedarbridge.runtime.api.CBByteArray fieldData()
    Returns the value of the `fieldData` record component.
    Returns:
      the value of the `fieldData` record component